import { createGlobalStyle } from 'styled-components';

import defaultTheme from '../theme';

export const GlobalStyle = createGlobalStyle(
  {
    body: {
      margin: 0,
    },
  },
  ({ theme }) => ({
    body: {
      ...theme.global,
      color: theme.colors.primaryText.default,
    },

    div: {
      boxSizing: 'border-box',
      minWidth: 0,
    },

    h1: theme.font.h1,

    h2: theme.font.h2,

    h3: theme.font.h3,

    a: {
      color: theme.colors.primaryText.default,

      // OnClick
      '&:active:hover': {
        color: theme.colors.primaryText.active,
      },
      // Hover or focus
      '&:hover, &:focus': {
        color: theme.colors.primaryText.hover,
        textDecoration: 'none',
      },
    },

    input: {
      color: theme.colors.primaryText.active,

      '::placeholder': {
        color: theme.greyscale.dark,
        opacity: 1,
      },
    },
  }),
);

GlobalStyle.defaultProps = {
  theme: defaultTheme,
};
